﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Perception.RPC.Demo
{
     public partial class AcqButton : UserControl
     {
          protected bool m_bActive = true;
          public event EventHandler OnAcqButtonClick;

          [Browsable(true), Category("Appearance Extended"), Description("On Off")]
          public bool Active
          {
               get
               {
                    return m_bActive;
               }
               set
               {
                    m_bActive = value;
                    UpdateUI();
                    Invalidate();
               }
          }

          public AcqButton()
          {
               InitializeComponent();
          }

          protected virtual void UpdateUI()
          {
               lblAcq.Enabled = m_bActive;
          }

          private void btnAcq_Click(object sender, EventArgs e)
          {
               if (this.OnAcqButtonClick != null)
                    this.OnAcqButtonClick(this, e);               
          }
     }
}
