﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Perception.RPC.Demo
{
     public partial class AcqControl : UserControl
     {
          public event EventHandler OnPauseClick;
          public event EventHandler OnRecordClick;
          public event EventHandler OnStopClick;
          public event EventHandler OnTriggerClick;

          public AcqControl()
          {
               InitializeComponent();
          }

          private void acqBtnPause1_OnAcqButtonClick(object sender, EventArgs e)
          {
               if (OnPauseClick != null)
                    OnPauseClick(sender, e);
          }

          private void acqBtnRecord1_OnAcqButtonClick(object sender, EventArgs e)
          {
               if (OnRecordClick != null)
                    OnRecordClick(sender, e);
          }

          private void acqBtnStop1_OnAcqButtonClick(object sender, EventArgs e)
          {
               if (OnStopClick != null)
                    OnStopClick(sender, e);
          }

          private void acqBtnTrigger1_OnAcqButtonClick(object sender, EventArgs e)
          {
               if (OnTriggerClick != null)
                    OnTriggerClick(sender, e);
          }


          public void SetAcqControl(bool bEnabled)
          {
               acqBtnPause1.Enabled = bEnabled;
               acqBtnRecord1.Enabled = bEnabled;
               acqBtnStop1.Enabled = bEnabled;
               acqBtnTrigger1.Enabled = bEnabled;
          }
     }
}
